Subject: Re: bug#41106: date --date '20180325 02:58:00' fails

From: Bernhard Voelker <[email-masked]>
Date: Wed, 6 May 2020 17:41:16 +0200

tag 41106 notabug
thanks

On 2020-05-06 10:04, Julien Demaria wrote:
>> $ date --date '20180325 02:58:00'
>> date: invalid date `20180325 02:58:00'

> Sorry I just found the reason in the FAQ... :-(
> https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#The-date-command-is-not-working-right_002e
> I am in local daylight saving time change case.

Indeed, the debug option shows it:

date --debug --date '20180325 02:58:00'
date: parsed number part: (Y-M-D) 2018-03-25
date: parsed time part: 02:58:00
date: input timezone: system default
date: using specified time as starting value: '02:58:00'
date: error: invalid date/time value:
date:     user provided time: '(Y-M-D) 2018-03-25 02:58:00'
date:        normalized time: '(Y-M-D) 2018-03-25 03:58:00'
date:                                             --
date:      possible reasons:
date:        non-existing due to daylight-saving time;
date:        numeric values overflow;
date:        missing timezone
date: invalid date '20180325 02:58:00'

As such, I'm marking this issue as 'notabug' in our bug tracker.

Have a nice day,
Berny